SeqFileFormer (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.SeqFileFormer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io
Interface SeqFileFormer

All Superinterfaces:
  SeqIOListener

All Known Implementing Classes:
  EmblFileFormer, GenbankFileFormer, ProteinRefSeqFileFormer, SwissprotFileFormer

Deprecated. Use org.biojavax.bio.seq.io framework instead

    public interface SeqFileFormer

extends SeqIOListener

Objects implementing the `SeqFileFormer` interface are responsible for the detailed formatting of sequence data prior to writing to a `PrintStream`. Some file formats, such as Fasta, are very simple and don't require a `SeqFileFormer`.

Since:
  1.2
Author:
  Keith James

Method Summary
`String` | `formatLocation(Feature theFeature)` Deprecated. Formats the location of a feature.
`StringBuffer` | `formatLocation(StringBuffer sb, Location loc, StrandedFeature.Strand strand)` Deprecated. `formatLocation` creates a String representation of a `Location`.
`PrintStream` | `getPrintStream()` Deprecated. `getPrintStream` returns the `PrintStream` to which an instance will write the formatted data.
`void` | `setPrintStream(PrintStream stream)` Deprecated. `setPrintStream` informs an instance which `PrintStream` to use.

Methods inherited from interface org.biojava.bio.seq.io.SeqIOListener
`addFeatureProperty, addSequenceProperty, addSymbols, endFeature, endSequence, setName, setURI, startFeature, startSequence`

Method Detail

### getPrintStream

    PrintStream getPrintStream()

  Deprecated.
  `getPrintStream` returns the `PrintStream` to which an instance will write the formatted data. If this has not been set, an implementation should default to System.out.

  Returns:
    the `PrintStream` which will be written to.

### setPrintStream

    void setPrintStream(PrintStream stream)

  Deprecated.
  `setPrintStream` informs an instance which `PrintStream` to use.

  Parameters:
    `stream` - a `PrintStream` to write to.

### formatLocation

    StringBuffer formatLocation(StringBuffer sb,
                                Location loc,
                                StrandedFeature.Strand strand)

  Deprecated.
  `formatLocation` creates a String representation of a `Location`. The strand may not be relevant for all formats (e.g. it is relevant for Genbank and EMBL, but not for SwissProt). In such cases the implementation may accept a strand of 'unknown', '0' or '.'. A `StringBuffer` is used to allow avoidance of expensive `String` manipulations on (potentially very large numbers of) locations.

  Parameters:
    `sb` - a `StringBuffer` to append the location to.
    `loc` - a `Location` to format.
    `strand` - a `StrandedFeature.Strand` indicating any relevant strandedness.
  Returns:
    a `StringBuffer` with the location appended.

### formatLocation

    String formatLocation(Feature theFeature)

  Deprecated.
  Formats the location of a feature. This version is required when formatting remote locations, since the location field of a remote feature is the projection of that feature on the sequence. When a distinction is made between 'order' and 'join' this method will likely be extended for that also.

  Parameters:
    `theFeature` - The feature with the location to format
  Returns:
    String The formatted location

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD